Bug 175234 - [RHEL4] Trying to create a folder under the IMAP folder gives a confusing error message
[RHEL4] Trying to create a folder under the IMAP folder gives a confusing err...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-12-07 17:11 EST by Suzanne Hillman
Modified: 2008-02-03 02:32 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-03 02:32:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 323598 None None None Never

  None (edit)
Description Suzanne Hillman 2005-12-07 17:11:58 EST
Description of problem:
Trying to create a folder under the IMAP folder gives a confusing error message.  

If it's not allowed, there shouldn't be an option for creating a folder there,
either by right clicking on it, or in the actual folder creation menu. (eg, it's
not possible to even _try_ to create a folder under the Trash folder under
either 'On this computer' or the IMAP folder)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Right-click on your IMAP folder.
2. In the New Folder dialog, try to put it under the name of your IMAP account.
Actual results:
"Error while Creating folder `testing'.

Unknown parent folder: ."

Expected results:
Either a reasonable error message, or no ability to even try to create a new
folder there.

Additional info:
Comment 1 Dave Malcolm 2005-12-08 15:29:25 EST
Appears to still affect recent upstream code (tested with evolution-2.4.2-2, am
about to test 2.5.2)
Comment 2 Dave Malcolm 2005-12-08 17:41:57 EST
Problem affects latest upstream code (tested with evolution-2.5.2-1)
Comment 3 Dave Malcolm 2005-12-08 17:56:05 EST
Correction: in 2.5.2 it prevents selection of "Junk" and "Trash" but allows
selection of the boldface account node (which then gives the error described);
selecting a vFolder (now a "Search Folder") or the "Search Folders" node yields
the New Search Folder dialog, which is sane.
Comment 4 Dave Malcolm 2005-12-08 17:58:52 EST
I've filed the still-relevant parts of this in 2.5.2 upstream here:
Comment 6 Matthew Barnes 2008-02-03 02:32:29 EST
Evolution 2.0.2 is only being updated for security issues.  Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.